=== debian/changelog ===
nipy (0.1.2+20100526-2) unstable; urgency=medium

  * Strict version dependency on NumPy to assure ABI compatibility in the
    future (Closes: #590737). Thanks Kumar Appaiah for the reminder.
  * debian/copyright:
    - Added missing copyrights/licenses
    - Adjusted formatting to match DEP5 rev 135
    - Citing BSD-3 license verbatim to be compliant with 3.9.0
  * Boosted policy compliance to 3.9.1 (BSD-3 license verbatim)
  * Medium urgency for faster propagation of RC bug fix into squeeze
  * Added gbp.conf file for easy building using g-b-p

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Aug 2010 11:17:05 -0400

nipy (0.1.2+20100526-1) unstable; urgency=low

  * Fresh upstream snapshot -- needed a new orig.tar.gz since some
    files were moved/removed
  * Switching to dh from cdbs:
    - Assure no documentation is built during binary-arch builds
      (closes: #581204, #581783)
    - Build for all supported Python versions
    - Expanded Build-Depends with all necessary -dbg packages
      (e.g. cython-dbg, python-all-dbg)
    - Added dvipng into Build-Depends for avoiding problems during
      documentation build

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 May 2010 21:17:20 -0400

nipy (0.1.2+20100505-1) unstable; urgency=low

  * Fresh upstream snapshot (Closes: #577898). Switching from bzr rev to
    git dated versioning for nipy for now
  * Debian packaging moved to be on top of a newly created
    git repository for nipy upstream
  * Adhering to a new deb source format 3.0 (quilt)
  * Policy compliance to 3.8.4 (no changes due)
  * Switching over to NeuroDebian team
  * -doc: no pdf's for Documentation (removed texlive,
    texlive-latex-extra from Build-Depends) (Closes: #567757)
  * Confirming (and refactoring) NMUs from Kumar (THANKS!):
    + As promised, closing the issue with absent i386 builds (Closes: #562246)
    + Adding both PATH= and MPLCONFIGDIR= for building docs
    + Addressed fortran binding issue with patchless solution:
      unexport of LDFLAGS in debian/rules which brings -shared back
      to game (see #535699 for more information)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 May 2010 23:01:12 -0400

nipy (0.1.2+1741-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use $(CURDIR) instead of $(PWD) in debian/rules. (Closes: #535699)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 31 Jan 2010 08:40:11 -0600

nipy (0.1.2+1741-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: Tries to write to $HOME during build" using Peter Green's
    patch.
  * In addition, make package buildable by hacking the build system to use
    -shared and -lpython<ver> for all gfortran using modules. (Closes:
    #535699)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 31 Jan 2010 00:40:11 -0600

nipy (0.1.2+1741-2) unstable; urgency=low

  * Adjusted long descriptions to follow the guidelines and to become
    complete sentences with redundant prefixes (closes: #532860)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 12 Jun 2009 16:56:54 -0400

nipy (0.1.2+1741-1) unstable; urgency=low

  * Initial release (Closes: #522353)

 -- Experimental Psychology Maintainers <pkg-exppsy-maintainers@lists.alioth.debian.org>  Tue, 14 Apr 2009 18:21:44 -0400
