=== debian/changelog ===
nipy (0.1.2+20110114-1) unstable; urgency=low

  * Fresh upstream snapshot: 136acf09beff315226e4cfa07066b1f5998e9d5e
    * Carries numpydoc compatible with sphinx >= 1.0 (Closes: #588625)
  * Do not compress objects.inv necessary for intersphinx (Closes: #608763)
  * Added few patches (submitted upstream) to fix building of documentation
    - 0001-make-few-classes-new-style-derive-from-object.patch
    - 0002-make-classes-without-new-style-derive-from-object.patch
    - 0003-import-similarity_measures-as-_sms-in-histogram_regi.patch
  * Adjusted debian/rules:
    - run unittests now against default python version
      on the installed version of nipy.  Skipped unittests due to known
      failures or non-labile tests subject to random data:
  	  test_slice_from_3d, test_screen, test_lips3_disjoint, test_mu2tet,
      test_input_effects, test_same_basis, test_fullrank, test_ec,
  	  test_apply_affine, test_lips1_disjoint, test_dtrsm
    - assure Agg matplotlib backend during documentation build and unittests
  * Added *-dsc-patch-nodbg backport-dsc patches to avoid building of -dbg
    package since python-scipy-dbg is missing on lenny or ubuntu releases
    prior maverick (not sufficient anyways due to other missing versioned
    build-dependencies atm -- matplotlib, sympy)
  * Versioned Build-Dependency sympy >= 0.6.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jan 2011 19:33:28 -0500

nipy (0.1.2+20101206-1) UNRELEASED; urgency=low

  * Fresh upstream snapshot: a0fd6c6c62d91315cdeb8bc81e19f355b12f8013
    Never officially released, thus changelogs moved upstairs

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Jan 2011 21:02:35 -0500
