=== debian/control ===
--- 
+++ 
@@ -3,7 +3,13 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), python-all-dev (>= 2.4), python-support (>= 0.6), python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3), python-sphinx (>= 0.6), python-nifti (>> 0.20090302), liblapack-dev, python-nose, python-sympy, cython, liblapack-dev, python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg, graphviz, dvipng
+Build-Depends: cdbs, debhelper (>= 7.0.50~), python-all-dev (>= 2.4), python-support (>= 0.6),
+			   python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3),
+			   python-sphinx (>= 0.6), cython,
+			   python-nifti (>> 0.20090302), python-nose, python-sympy (>= 0.6.6),
+			   liblapack-dev,
+			   python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg,
+			   graphviz, dvipng
 Standards-Version: 3.9.1
 Homepage: http://neuroimaging.scipy.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
