=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,16 @@
 	dh --buildsystem=python_distutils $@
 
 override_dh_auto_test:
-	: # I: Tests are ran but allowed to fail for now
-	dh_auto_test || :
+    : # Do not test just after build, lets install and then test
+
+override_dh_auto_build:
+	dh_auto_build
+	echo "backend : Agg" >| build/matplotlibrc
 
 #
 # Documentation
 #
-doc-stamp: build
+doc-stamp:
 	: # I: Generate documentation
 	export PYTHONPATH=$$PWD/`/bin/ls -d build/lib.*$(PYVER)` \
 		   MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
@@ -30,9 +33,17 @@
 	touch $@
 
 
-# Lets sort things around from debian/tmp
-override_dh_auto_install:
-	dh_auto_install
+#override_dh_auto_install:
+#	dh_auto_install
+
+test:
+	: # I: Unittest only the default python version for now against "installed" materials
+	cd debian; \
+	 PYTHONPATH=$$(/bin/ls -d $(CURDIR)/debian/tmp/usr/lib/python$(PYVER)/*-packages) \
+	 MPLCONFIGDIR=$(CURDIR)/build \
+	  nosetests -s -v -e 'test_(slice_from_3d|screen|lips1_disjoint|lips3_disjoint|mu2tet|input_effects|same_basis|fullrank|ec|apply_affine|dtrsm)' nipy
+
+override_dh_install: test
 	: # I: Move libraries into the python-nipy-lib and -lib-dbg packages
 	find debian/tmp/ -iname *.so | \
 	  while read so; do \
@@ -49,10 +60,14 @@
 	: # I: Assure versioned dependency on NumPy
 	if [ -x /usr/bin/dh_numpy ]; then dh_numpy;	fi
 
+	dh_install
+
+
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:
 	: # I: Avoiding compression of what should not be compressed
-	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc
+	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv
+
 
 override_dh_clean:
 	: # I: Custom cleaning
