## nipy 0.1.2+201100720

=== Makefile ===
--- 
+++ 
@@ -23,11 +23,6 @@
 install:
 	python setup.py install
 
-# Update nisext subtree from remote
-update-nisext:
-	git fetch nisext
-	git merge --squash -s subtree --no-commit nisext/master
-
 # Print out info for possible install methods
 check-version-info:
 	$(PYTHON) -c 'from nisext.testers import info_from_here; info_from_here("nipy")'
