=== debian/changelog ===
nipy (0.1.2+201100720-2~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Applied additional patch from debian/patches/karmic-dsc-patch-nodbg.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 24 Jul 2011 02:40:34 -0400

nipy (0.1.2+201100720-2) unstable; urgency=low

  * Merged commits from upstream contributed by Matthew Brett to fix failing
    unittests on big-endians.  Current upstream point:
    upstream/0.1.2+20110404-74-g698b432

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 23 Jul 2011 22:34:15 -0400

nipy (0.1.2+201100720-1) unstable; urgency=low

  * Fresh upstream snapshot: 2c11ae604762105a4adaa46c57e95dc1998485eb
    - might address FTBFS due to tests on some architectures

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 20 Jul 2011 10:01:30 -0400

nipy (0.1.2+20110404-1) unstable; urgency=low

  * Fresh upstream snapshot: c213cc2421686b5485e43db54ec2ac8a5fa06ea6
    - Relies on external nibabel module instead of internal outdated
      copy.  Should close 611316, which would be done upon successfull
      build across the architectures.
  	- Does not use PyNIfTI any longer, so it is removed from *Depends
      now
    - Absorbed all Debian patches
  * No cdbs was used since nearly a year ago -- removed it from Build-Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Apr 2011 09:54:56 -0400
