=== debian/control ===
Source: nipy
Section: python
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.4), python-support (>= 0.6),
			   python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3),
			   python-sphinx (>= 0.6), cython,
			   python-nibabel, python-nose, python-sympy (>= 0.6.6),
			   liblapack-dev,
			   graphviz, dvipng
Standards-Version: 3.9.1
Homepage: http://neuroimaging.scipy.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git


Package: python-nipy
Architecture: all
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
         python-scipy, python-numpy (>=1.2),
         python-nibabel,
         python-nipy-lib (>= ${source:Version})
Recommends: python-matplotlib, mayavi2
Suggests: python-mvpa
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data. It currently has a full system for
 general linear modeling of functional magnetic resonance imaging
 (fMRI).


Package: python-nipy-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data. It currently has a full system for
 general linear modeling of functional magnetic resonance imaging
 (fMRI).
 .
 This package provides architecture-dependent builds of the libraries.


Package: python-nipy-doc
Architecture: all
Section: doc
Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
Recommends: python-nipy
Description: documentation and examples for NiPy
 This package contains NiPy documentation in various formats (HTML,
 TXT) including
  * User manual
  * Developer guidelines
  * API documentation
