=== debian/changelog ===
nipy (0.1.999-2~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Applied additional patch from debian/patches/lucid-dsc-patch-nodbg.
  * Applied additional patch from debian/patches/lucid-dsc-patch-nodoc.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 12 Feb 2012 14:14:46 -0500

nipy (0.1.999-2) unstable; urgency=low

  * Recommend sympy (thanks Chris Filo Gorgolewski for the report)
  * Respect PYTHONPATH while running tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Feb 2012 10:59:44 -0500

nipy (0.1.999-1) unstable; urgency=low

  * Alpha release in preparation for upcoming 0.2.0 release (Closes: #581394)
  * No changes within upstream codebase (Closes: #643225)
  * Do not unittest if nocheck is provided (Closes: #649620)
  * Boosted policy compliance to 3.9.2 -- no changes
  * Patch lucid-dsc-patch-nodoc to avoid trying to build -doc on lucid
    due to the failure to install needed build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Nov 2011 22:06:21 -0500
