=== debian/control ===
Source: nipy
Section: python
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5), python-support (>= 0.6),
			   python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3),
			   cython,
			   python-nibabel, python-nose, python-sympy (>= 0.6.6),
			   liblapack-dev,
Standards-Version: 3.9.2
Homepage: http://neuroimaging.scipy.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git


Package: python-nipy
Architecture: all
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
         python-scipy, python-numpy (>=1.2),
         python-nibabel,
         python-nipy-lib (>= ${source:Version}),
Recommends: python-matplotlib,
         mayavi2,
         python-sympy,
Suggests: python-mvpa
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.  It provides functionality for
  - General linear model (GLM) statistical analysis
  - Combined slice time correction and motion correction
  - General image registration routines with flexible cost functions,
    optimizers and re-sampling schemes
  - Image segmentation
  - Basic visualization of results in 2D and 3D
  - Basic time series diagnostics
  - Clustering and activation pattern analysis across subjects
  - Reproducibility analysis for group studies


Package: python-nipy-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Analysis of structural and functional neuroimaging data
 NiPy is a Python-based framework for the analysis of structural and
 functional neuroimaging data.
 .
 This package provides architecture-dependent builds of the libraries.
