=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
+
+export DH_VERBOSE=1
 
 PYVER = $(shell pyversions -vd)
 
@@ -37,11 +39,15 @@
 #	dh_auto_install
 
 test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	: # I: Unittest only the default python version for now against "installed" materials
 	cd debian; \
-	 PYTHONPATH=$$(/bin/ls -d $(CURDIR)/debian/tmp/usr/lib/python$(PYVER)/*-packages) \
-	 MPLCONFIGDIR=$(CURDIR)/build \
-	  nosetests -s -v -e 'test_(slice_from_3d|screen|lips1_disjoint|lips3_disjoint|mu2tet|input_effects|same_basis|fullrank|ec|apply_affine|dtrsm)' nipy
+	 PYTHONPATH=$$(/bin/ls -d $(CURDIR)/debian/tmp/usr/lib/python$(PYVER)/*-packages):$$PYTHONPATH \
+     MPLCONFIGDIR=$(CURDIR)/build \
+	  ../tools/nipnost nipy
+else
+	: # Skip unittests due to nocheck
+endif
 
 override_dh_install: test
 	: # I: Move libraries into the python-nipy-lib and -lib-dbg packages
@@ -72,11 +78,11 @@
 override_dh_clean:
 	: # I: Custom cleaning
 	rm -rf build doc-stamp nipy/neurospin/__config__.py
-	$(MAKE) -C doc clean
+	#$(MAKE) -C doc clean
 	dh_clean
 
 
 # We build documentation only for -indep
-binary-indep: doc-stamp
+binary-indep:
 
 binary: binary-arch binary-indep
