=== debian/changelog ===
nipy (0.2.0-1) unstable; urgency=low

  * New upstream release: documentation and example improvements and
    functionality fixes since rc2.
  * Updated debian/patches/lucid-dsc-patch-nodoc to build no -doc package
    on older releases

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 22 Jul 2012 10:50:06 -0400

nipy (0.2.0~rc2+git27-g7b9b5a5-1) unstable; urgency=low

  * New upstream pre-release snapshot from origin/master at
    0.2.0rc2-27-g7b9b5a5

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 30 Jun 2012 00:02:45 -0400

nipy (0.2.0~rc2-1) unstable; urgency=low

  * Fresh RC (Closes: #673489)
    - addresses python 2.5 compatibility
  * debian/watch
    - added to fetch from github tags

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 19 Jun 2012 21:03:28 -0400

nipy (0.2.0~rc1+git170-g5d2dc33-1) unstable; urgency=low

  * Yet another development release snapshot not intended for public
    - based on current master 6fc3af4
      with pull requests #171 and #183 merged
  * Boosted policy compliance to 3.9.3 -- no changes
  * debian/copyright: removed obsolete entries, adjusted for DEP5

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 12 May 2012 22:19:00 -0400

nipy (0.2.0~rc1-1) experimental; urgency=low

  * Release candidate
  * Add epoch to versioned depends on numpy (Closes: #658372)
    (Thanks Jakub Wilk for the report and patch)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Apr 2012 11:36:17 -0400
