=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: nipy
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.5), python-support (>= 0.6),
-			   python-scipy (>= 0.5), python-numpy (>= 1.2), python-matplotlib (>= 0.98.3),
-			   cython,
+			   python-scipy (>= 0.5), python-numpy (>= 1:1.2), python-matplotlib (>= 0.98.3),
+			   python-sphinx (>= 0.6), cython,
 			   python-nibabel, python-nose, python-sympy (>= 0.6.6),
 			   liblapack-dev,
-Standards-Version: 3.9.2
+			   python-all-dbg, python-numpy-dbg, python-scipy-dbg, cython-dbg,
+			   graphviz, dvipng
+Standards-Version: 3.9.3
 Homepage: http://neuroimaging.scipy.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nipy.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/nipy.git
@@ -17,8 +18,8 @@
 
 Package: python-nipy
 Architecture: all
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
-         python-scipy, python-numpy (>=1.2),
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+         python-scipy, python-numpy (>= 1:1.2),
          python-nibabel,
          python-nipy-lib (>= ${source:Version}),
 Recommends: python-matplotlib,
@@ -43,7 +44,7 @@
 
 Package: python-nipy-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Analysis of structural and functional neuroimaging data
@@ -52,3 +53,30 @@
  .
  This package provides architecture-dependent builds of the libraries.
 
+
+Package: python-nipy-lib-dbg
+Architecture: any
+Section: debug
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+         python-nipy-lib (= ${binary:Version})
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
+Description: Analysis of structural and functional neuroimaging data
+ NiPy is a Python-based framework for the analysis of structural and
+ functional neuroimaging data.
+ .
+ This package provides debugging symbols for architecture-dependent
+ builds of the libraries.
+
+
+Package: python-nipy-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, libjs-jquery
+Recommends: python-nipy
+Description: documentation and examples for NiPy
+ This package contains NiPy documentation in various formats (HTML,
+ TXT) including
+  * User manual
+  * Developer guidelines
+  * API documentation
