=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.*\/(.*)/nipy-$1\.tar\.gz/" \
  http://github.com/nipy/nipy/tags .*tarball/(\d[\d\.a-z]+)
